Skip to main content
POST
Submit an Order

Body

application/json
bookingReference
string

If no booking reference is supplied (by calling POST /apiv1/bookingreference prior), then, one will be created.

agentReference
string
paymentMethod
string
emailVouchers
boolean
totalCharged
number<float>
creditCardFee
number<float>
processAsQuote
boolean
referralSourceId
integer
products
object[]
payments
object[]
redeemers
object[]

Response

Order successfully created or quote generated

id
integer

ID of the created Order

hasCreditCardPayment
boolean

Indicates if order has credit card payment

eBookings
object

eBookings object with booking results

vouchers
object

Vouchers object with PDF/HTML URLs

messages
string[]

Array of non-critical advisory messages

bookingReference
string

Booking reference for the order

quoteUrl
string

Quote URL (only for quotes)